**Create the seven dimensions of RC**
*Create 7 RC dimensions by creating a mean variable for each dimension, across all rated workgroups.  Use "rmean" or row mean so any missing variables are dropped and not counted in the mean score.*

egen freq = rmean (freq_*)  
egen time = rmean (time_*)  
egen accu = rmean (accu_*)  
egen prob = rmean (prob_*)  
egen goal = rmean (goal_*)   
egen know = rmean (know_*)  
egen resp = rmean (resp_*)  

**CREATE THE RC INDEX **
alpha freq time accu prob goal know resp, gen (RC)

**create RC_role**

egen RCPhys= rmean (*_Phys)
egen RCLab= rmean (*_Lab)
egen RCPA= rmean (*_PA)
egen RCPM= rmean (*_PM)
egen RCFD= rmean (*_FD)
egen RCRES= rmean (*_RES)

**Create RC_Internal**
codebook WG

codebook WG
                  Type: Numeric (long)
                 Label: WG

                 Range: [1,5]                         Units: 1
         Unique values: 5                         Missing .: 0/178

            Tabulation: Freq.   Numeric  Label
                           27         1  Doctor
                           35         2  Front Desk
                           64         3  Lab Technician
                           43         4  Physician Assistant
                            9         5  Practice Manager


gen RC_Int=.
replace RC_Int= RCPhys if WG==1
replace RC_Int= RCPhys if WG== "Doctor"
replace RC_Int= RCFD if WG==2
replace RC_Int= RCLab if WG==3
replace RC_Int= RCPA if WG==4
replace RC_Int= RCPM if WG==5

**Create RC_External**
gen RC_Ext=.
replace RC_Ext= (RCFD + RCLab + RCPA + RCPM + RCRES)/5 if WG==1
replace RC_Ext= (RCFD + RCLab + RCPA + RCPM + RCRES)/5 if WG== "Doctor"
replace RC_Ext= (RCPhys + RCLab + RCPA + RCPM + RCRES)/5 if WG==2
replace RC_Ext= (RCPhys + RCFD + RCPA + RCPM + RCRES)/5 if WG==3
replace RC_Ext= (RCPhys + RCFD + RCLab + RCPM + RCRES)/5 if WG==4
replace RC_Ext= (RCPhys + RCFD + RCLab + RCPA + RCRES)/5 if WG==5

